Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
model_deployment = client.models.deployments.update(
deployment_id="deployment_id",
model_instance_id="model_instance_id",
)
print(model_deployment.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
modelDeployment, err := client.Models.Deployments.Update(
context.TODO(),
"model_instance_id",
"deployment_id",
sgp.ModelDeploymentUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", modelDeployment.ID)
}
curl --request PATCH \
--url https://api.egp.scale.com/v4/models/{model_instance_id}/deployments/{deployment_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"model_creation_parameters": {},
"vendor_configuration": {
"min_workers": 0,
"max_workers": 1,
"per_worker": 10,
"vendor": "LAUNCH"
},
"deployment_metadata": {},
"wait_for_ready": true
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
model_creation_parameters: {},
vendor_configuration: {min_workers: 0, max_workers: 1, per_worker: 10, vendor: 'LAUNCH'},
deployment_metadata: {},
wait_for_ready: true
})
};
fetch('https://api.egp.scale.com/v4/models/{model_instance_id}/deployments/{deployment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"status": "<string>",
"model_creation_parameters": {},
"model_endpoint_id": "<string>",
"model_instance_id": "<string>",
"vendor_configuration": {
"min_workers": 0,
"max_workers": 1,
"per_worker": 10,
"vendor": "LAUNCH"
},
"deployment_metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Models
Update Deployment
Description
Updates a deployment
Details
This API can be used to update the deployment that matches the ID that was passed in as a path parameter. To use this API, pass in the id that was returned from your Create Deployment API call as a path parameter.
Review the request schema to see the fields that can be updated.
PATCH
/
v4
/
models
/
{model_instance_id}
/
deployments
/
{deployment_id}
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
model_deployment = client.models.deployments.update(
deployment_id="deployment_id",
model_instance_id="model_instance_id",
)
print(model_deployment.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
modelDeployment, err := client.Models.Deployments.Update(
context.TODO(),
"model_instance_id",
"deployment_id",
sgp.ModelDeploymentUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", modelDeployment.ID)
}
Body
application/json
- LaunchDeploymentVendorConfiguration
- LLMEngineDeploymentVendorConfiguration
Show child attributes
Show child attributes
If true, the request will block until the Launch endpoint is READY. Defaults to true.
Response
Successful Response
The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The ID of the account that owns the given entity.
The user who originally created the entity.
The type of identity that created the entity.
Available options:
user, service_account Status of the model's deployment.
- LaunchDeploymentVendorConfiguration
- LLMEngineDeploymentVendorConfiguration
Show child attributes
Show child attributes

